io.agora.rtc

## Class RtmpStreamingAudioConf

- java.lang.Object
- - io.agora.rtc.RtmpStreamingAudioConf

-     public class RtmpStreamingAudioConf
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate`
    `private int` | `bytesPerSample`
    `private int` | `numberOfChannels`
    `private int` | `sampleRateHz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtmpStreamingAudioConf()`
    `RtmpStreamingAudioConf(int sampleRateHz, int bytesPerSample, int numberOfChannels, int bitrate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()`
    `int` | `getBytesPerSample()`
    `int` | `getNumberOfChannels()`
    `int` | `getSampleRateHz()`
    `void` | `setBitrate(int bitrate)`
    `void` | `setBytesPerSample(int bytesPerSample)`
    `void` | `setNumberOfChannels(int numberOfChannels)`
    `void` | `setSampleRateHz(int sampleRateHz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sampleRateHz

          private int sampleRateHz

    - #### bytesPerSample

          private int bytesPerSample

    - #### numberOfChannels

          private int numberOfChannels

    - #### bitrate

          private int bitrate

  - ### Constructor Detail

    - #### RtmpStreamingAudioConf

          public RtmpStreamingAudioConf()

    - #### RtmpStreamingAudioConf

          public RtmpStreamingAudioConf(int sampleRateHz,
                                        int bytesPerSample,
                                        int numberOfChannels,
                                        int bitrate)

  - ### Method Detail

    - #### getSampleRateHz

          public int getSampleRateHz()

    - #### setSampleRateHz

          public void setSampleRateHz(int sampleRateHz)

    - #### getBytesPerSample

          public int getBytesPerSample()

    - #### setBytesPerSample

          public void setBytesPerSample(int bytesPerSample)

    - #### getNumberOfChannels

          public int getNumberOfChannels()

    - #### setNumberOfChannels

          public void setNumberOfChannels(int numberOfChannels)

    - #### getBitrate

          public int getBitrate()

    - #### setBitrate

          public void setBitrate(int bitrate)